<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('promotions', function (Blueprint $table) {
            $table->id();
            
            $table->string('titre');
            $table->string('remise')->nullable();
            $table->dateTime('debut')->nullable();
            $table->dateTime('fin')->nullable();


            $table->text('description')->nullable();
           
            $table->string('photo');
            $table->boolean('etat')->default(false);

            $table->unsignedBigInteger('produit_id')->unsigned()->nullable();
            $table->datetime('deleted_at')->nullable();
            $table->foreign('produit_id')->references('id')->on('produits')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('promotions');
    }
};
